Path: API › 网站管理

`POST /site`

获取漏洞扫描定时任务的当前配置，包括扫描周期、推送渠道和开关状态。

## Request body

_Required._

- `request_time` (`action281.request_time`; string, required) — Unix 时间戳。
- `request_token` (`action281.request_token`; string, required) — 按 API 概览生成的签名。
- `action` (`action281.action`; string, required) — 具体操作名称。
  - one of `"get_cron_scanin_info"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "get_cron_scanin_info"
}
```

## Code samples

### cURL（填写面板地址与签名）

```bash
curl --request POST \
  --url "https://your-panel.example.com:8888/site" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=get_cron_scanin_info"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "cycle": 1,
  "channel": "",
  "status": 0
}
```

- `cycle` (`action281.response.default.cycle`; integer, optional) — 扫描周期（天）
- `channel` (`action281.response.default.channel`; string, optional) — 消息推送渠道
- `status` (`action281.response.default.status`; integer, optional) — `1` 开启，`0` 关闭


## get_cron_scanin_info

获取漏洞扫描定时任务的当前配置，包括扫描周期、推送渠道和开关状态。

- **路由**：`POST /site`
- **action**：`get_cron_scanin_info`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `get_cron_scanin_info` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| cycle | Integer | 扫描周期（天） |
| channel | String | 消息推送渠道 |
| status | Integer | `1` 开启，`0` 关闭 |

## 示例

### 请求

```
POST /site HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=get_cron_scanin_info
```

### 响应

```json
{"cycle": 1, "channel": "", "status": 0}
```

